package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC分区逻辑以太网配置
 * 
 * @author ShaolongTan
 *
 */
@Deprecated
@Table("hmc_profile_lhea")
public class HmcProfileLhea {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("profile_id")
    private Long profileId;
    @Column("adapter_id")
    private Long adapterId;
    @Column("logical_port_id")
    private Integer logicalPortId;
    @Column("physical_port_id")
    private Integer physicalPortId;
    @Column("port_group_id")
    private Integer portGroupId;
    @Column("allow_vlan_ids")
    private String allowVlanIds;
    @Column("allowed_mac_addresses")
    private String allowMacAddresses;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Integer getLogicalPortId() {
        return logicalPortId;
    }

    public void setLogicalPortId(Integer logicalPortId) {
        this.logicalPortId = logicalPortId;
    }

    public String getAllowVlanIds() {
        return allowVlanIds;
    }

    public void setAllowVlanIds(String allowVlanIds) {
        this.allowVlanIds = allowVlanIds;
    }

    public Long getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Long adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getPhysicalPortId() {
        return physicalPortId;
    }

    public void setPhysicalPortId(Integer physicalPortId) {
        this.physicalPortId = physicalPortId;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public String getAllowMacAddresses() {
        return allowMacAddresses;
    }

    public void setAllowMacAddresses(String allowMacAddresses) {
        this.allowMacAddresses = allowMacAddresses;
    }
}
